AOMedia Codec SDK: Data Fields - Variables

AOMedia Codec SDK

### - a -

- active_map : aom_active_map
- allow_lowbitdepth : aom_codec_dec_cfg

### - b -

- bit_depth : aom_image
- bps : aom_image
- buf : aom_codec_cx_pkt , aom_fixed_buf

### - c -

- cfg : aom_codec_dec_cfg , aom_codec_enc_cfg
- coded_tile_data : aom_tile_data
- coded_tile_data_size : aom_tile_data
- cols : aom_active_map , aom_roi_map
- config : aom_codec_ctx
- cp : aom_image
- csp : aom_image

### - d -

- d_h : aom_image
- d_w : aom_image
- data : aom_codec_cx_pkt , aom_codec_frame_buffer
- deblocking_level : aom_postproc_cfg
- dec : aom_codec_ctx
- delta_lf : aom_roi_map
- delta_q : aom_roi_map
- den : aom_rational
- duration : aom_codec_cx_pkt

### - e -

- err : aom_codec_ctx
- err_detail : aom_codec_ctx
- ext_partition : cfg_options
- extra_size : aom_tile_data

### - f -

- fb_priv : aom_image
- firstpass_mb_stats : aom_codec_cx_pkt
- flags : aom_codec_cx_pkt
- fmt : aom_image
- frame : aom_codec_cx_pkt
- full_still_picture_hdr : aom_codec_enc_cfg
- fwd_kf_enabled : aom_codec_enc_cfg

### - g -

- g_bit_depth : aom_codec_enc_cfg
- g_error_resilient : aom_codec_enc_cfg
- g_forced_max_frame_height : aom_codec_enc_cfg
- g_forced_max_frame_width : aom_codec_enc_cfg
- g_h : aom_codec_enc_cfg
- g_input_bit_depth : aom_codec_enc_cfg
- g_lag_in_frames : aom_codec_enc_cfg
- g_limit : aom_codec_enc_cfg
- g_pass : aom_codec_enc_cfg
- g_profile : aom_codec_enc_cfg
- g_threads : aom_codec_enc_cfg
- g_timebase : aom_codec_enc_cfg
- g_usage : aom_codec_enc_cfg
- g_w : aom_codec_enc_cfg

### - h -

- h : aom_codec_dec_cfg , aom_codec_stream_info , aom_image , aom_image_rect
- h_scaling_mode : aom_scaling_mode

### - i -

- idx : av1_ref_frame
- iface : aom_codec_ctx
- img : av1_ext_ref_frame , av1_ref_frame
- img_data : aom_image
- img_data_owner : aom_image
- init_flags : aom_codec_ctx
- inspect_cb : aom_inspect_init
- inspect_ctx : aom_inspect_init
- is_annexb : aom_codec_stream_info
- is_kf : aom_codec_stream_info

### - k -

- kf_max_dist : aom_codec_enc_cfg
- kf_min_dist : aom_codec_enc_cfg
- kf_mode : aom_codec_enc_cfg
- kind : aom_codec_cx_pkt

### - l -

- large_scale_tile : aom_codec_enc_cfg

### - m -

- mc : aom_image
- monochrome : aom_codec_enc_cfg , aom_image

### - n -

- name : aom_codec_ctx
- noise_level : aom_postproc_cfg
- num : aom_rational , av1_ext_ref_frame
- number_spatial_layers : aom_codec_stream_info
- number_temporal_layers : aom_codec_stream_info

### - p -

- pad : aom_codec_cx_pkt
- partition_id : aom_codec_cx_pkt
- planes : aom_image
- post_proc_flag : aom_postproc_cfg
- priv : aom_codec_ctx , aom_codec_frame_buffer
- psnr : aom_codec_cx_pkt
- pts : aom_codec_cx_pkt

### - r -

- r_h : aom_image
- r_w : aom_image
- range : aom_image
- raw : aom_codec_cx_pkt
- rc_2pass_vbr_bias_pct : aom_codec_enc_cfg
- rc_2pass_vbr_maxsection_pct : aom_codec_enc_cfg
- rc_2pass_vbr_minsection_pct : aom_codec_enc_cfg
- rc_buf_initial_sz : aom_codec_enc_cfg
- rc_buf_optimal_sz : aom_codec_enc_cfg
- rc_buf_sz : aom_codec_enc_cfg
- rc_dropframe_thresh : aom_codec_enc_cfg
- rc_end_usage : aom_codec_enc_cfg
- rc_firstpass_mb_stats_in : aom_codec_enc_cfg
- rc_max_quantizer : aom_codec_enc_cfg
- rc_min_quantizer : aom_codec_enc_cfg
- rc_overshoot_pct : aom_codec_enc_cfg
- rc_resize_denominator : aom_codec_enc_cfg
- rc_resize_kf_denominator : aom_codec_enc_cfg
- rc_resize_mode : aom_codec_enc_cfg
- rc_superres_denominator : aom_codec_enc_cfg
- rc_superres_kf_denominator : aom_codec_enc_cfg
- rc_superres_kf_qthresh : aom_codec_enc_cfg
- rc_superres_mode : aom_codec_enc_cfg
- rc_superres_qthresh : aom_codec_enc_cfg
- rc_target_bitrate : aom_codec_enc_cfg
- rc_twopass_stats_in : aom_codec_enc_cfg
- rc_undershoot_pct : aom_codec_enc_cfg
- roi_map : aom_roi_map
- rows : aom_active_map , aom_roi_map

### - s -

- samples : aom_codec_cx_pkt
- save_as_annexb : aom_codec_enc_cfg
- self_allocd : aom_image
- sframe_dist : aom_codec_enc_cfg
- sframe_mode : aom_codec_enc_cfg
- size : aom_codec_frame_buffer
- spatial_id : aom_image
- sse : aom_codec_cx_pkt
- static_threshold : aom_roi_map
- stride : aom_image
- sz : aom_codec_cx_pkt , aom_fixed_buf , aom_image

### - t -

- tc : aom_image
- temporal_id : aom_image
- threads : aom_codec_dec_cfg
- tile_height_count : aom_codec_enc_cfg
- tile_heights : aom_codec_enc_cfg
- tile_width_count : aom_codec_enc_cfg
- tile_widths : aom_codec_enc_cfg
- twopass_stats : aom_codec_cx_pkt

### - u -

- use_external_ref : av1_ref_frame
- user_priv : aom_image

### - v -

- v_scaling_mode : aom_scaling_mode
- vis_frame_size : aom_codec_cx_pkt

### - w -

- w : aom_codec_dec_cfg , aom_codec_stream_info , aom_image , aom_image_rect

### - x -

- x : aom_image_rect
- x_chroma_shift : aom_image

### - y -

- y : aom_image_rect
- y_chroma_shift : aom_image